<?php

Lib::loadClass('RouteToolBase');
Lib::loadClass('UI');
Lib::loadClass('Response');
Lib::loadClass('Theme');

// index.php?_route=UrlAction_BraveCare  - uruchamia defaultAction
class BraveCare extends RouteToolBase {

	public function defaultAction() {
		UI::gora();
		Theme::top();

		echo '<div id="smad-wrapper">';

		echo '<div class="container-bi_audit_raport"></div>';
		/*try {

			$items = ACL::getAclByNamespace('default_db/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA')->buildQuery([
				'cols' => [ // TODO:? propertyName = []
					'ID',
					'L_APPOITMENT_USER',
					'default_db__x3A__BI_audit_ENERGA_PRACOWNICY:BI_audit_ENERGA_PRACOWNICY',
					'default_db__x3A__BI_audit_ENERGA_RUM_KONTRAHENCI:BI_audit_ENERGA_RUM_KONTRAHENCI',
					'default_db__x3A__BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA_row:BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA_row',
					'default_db__x3A__BI_audit_KW_requested_person:BI_audit_KW_requested_person',
				]
			])->getItems([
				'limit' => 10
			]);

			DBG::nicePrint($items, '$items BiAudit');

			UI::inlineJS(__FILE__ . '.view.js', [
				'URL_FETCH_TEST' => $this->getLink('fetchEnergaRumKontrahenciPowiazaniaAjax'),
				'URL_FETCH_TEST_KRS' => $this->getLink('fetchTestKrsAjax'),
				'URL_FETCH_TEST_CEIDG' => $this->getLink('fetchTestCeidgAjax'),
				'URL_FETCH_PRACOWNICY' => $this->getLink('fetchPracownicyAjax'),
				'DBG' => V::get('DBG', 0, $_GET),
			]);


			throw new Exception("TODO...");

		} catch (Exception $e) {
			DBG::log($e);
			UI::alert('danger', $e->getMessage());
		}*/

		UI::inlineJS(__FILE__ . '.view.js', [
			'URL_FETCH_TEST' => $this->getLink('fetchEnergaRumKontrahenciPowiazaniaAjax'),
			'URL_FETCH_TEST_KRS' => $this->getLink('fetchTestKrsAjax'),
			'URL_FETCH_TEST_CEIDG' => $this->getLink('fetchTestCeidgAjax'),
			'URL_FETCH_PRACOWNICY' => $this->getLink('fetchPracownicyAjax'),
			'URL_FETCH_KONTRAHENCI' => $this->getLink('fetchKontrahenciAjax'),
			'URL_FETCH_FAMILIES' => $this->getLink('fetchFamiliesAjax'),
			'DBG' => V::get('DBG', 0, $_GET),
			'VIEW_KONTRAHENCI' => $this->htmlViewFormBiAudit([], 'KONTRAHENCI'),
			'VIEW_PRACOWNICY' => $this->htmlViewFormBiAudit([], 'PRACOWNICY'),
			'VIEW_FAMILIES' => $this->getHtmlForScreen_Families([], 'FAMILIES'),
		]);

		echo '</div>'; // #smad-wrapper
		UI::dol();
	}
/*
	public function fetchEnergaRumKontrahenciPowiazaniaAjaxAction() {
		Response::sendTryCatchJson(array($this, 'fetchEnergaRumKontrahenciPowiazaniaAjax')); // , $args = 'JSON_FROM_REQUEST_BODY');
	}
	public function fetchEnergaRumKontrahenciPowiazaniaAjax($args) {
		$id = V::get('ID', 1, $_REQUEST, 'int');

		$items = ACL::getAclByNamespace('default_db/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA')->buildQuery([
			'cols' => [ // TODO:? propertyName = []
				'ID',
				'A_ADM_COMPANY',
				'L_APPOITMENT_USER',
				'A_CLASSIFIED',
				'A_STATUS',
				'A_STATUS_INFO',
				'BI_analiza_depth',
				'BI_analiza_reloadCache',
				'FILE_STATUS',
				'FILE_STATUS_info',
				'L_APPOITMENT_USER',
				'default_db__x3A__BI_audit_ENERGA_PRACOWNICY:BI_audit_ENERGA_PRACOWNICY',
				'default_db__x3A__BI_audit_ENERGA_RUM_KONTRAHENCI:BI_audit_ENERGA_RUM_KONTRAHENCI',
				'default_db__x3A__BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA_row:BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA_row',
				'default_db__x3A__BI_audit_KW_requested_person:BI_audit_KW_requested_person',
			],
			//'f_ID' => $id,
		])->getItems([
			'limit' => 10
		]);

		// $items = [
		// 	[ 'ID' => 1, 'L_APPOITMENT_INFO' => 'x', 'BI_analiza_depth' => 'a', 'FILE_STATUS' => 1, 'FILE_STATUS_info' => 'test1'],
		// 	[ 'ID' => 2, 'L_APPOITMENT_INFO' => 'y', 'BI_analiza_depth' => 'b', 'FILE_STATUS' => 0, 'FILE_STATUS_info' => 'test2'],
		// 	[ 'ID' => 3, 'L_APPOITMENT_INFO' => 'z',  'BI_analiza_depth' => 'c', 'FILE_STATUS' => 1, 'FILE_STATUS_info' => 'test3'],
		// ];

		return [
			'type' => 'success',
			'msg' => 'OK',
			'__req_args' => $_REQUEST,
			'__args' => $args,
			'body' => [
				'items' => $items,
				'view' => $this->showPowiazaniaEnergaRumKontrahenciPowiazania($items),
			]
		];
	}


public function showPowiazaniaEnergaRumKontrahenciPowiazania($items) {

	$view = '<form class="form-horizontal" method="post">
						<table class="table table-bordered table-hover table-striped" height=5>
									 <thead>
										 <tr style="">
										 		<td width=1><input type="checkbox" name="checkAll" id="checkAll" /></td>
											 <td width=1>ID</td>
											 <td>Adnotacje</td>
											 <td>Głębokość analizy</td>
											 <td>Status raportu</td>
											 <td>Status raportu - informacje</td>
										 </tr>
									 </thead>
									 <tbody>
					';

		foreach ($items as $key => $row) {
				$view .= '<tr>
				<td><input type="checkbox" name="prID[]" value="'.$row['ID'].'" onClick="checkAll()"/></td>
								<td align="right">'.$row["ID"].'</td>
								<td align="right">'.$row["L_APPOITMENT_INFO"].'</td>
								<td align="right">'.$row["BI_analiza_depth"].'</td>
								<td align="right">'.$row["FILE_STATUS"].'</td>
								<td align="right">'.$row["FILE_STATUS_info"].'</td>';
		}
		$view .= '</tbody></table></form>';


		return $view;
}
*/



	public function fetchTestKrsAjaxAction() {
		Response::sendTryCatchJson(array($this, 'fetchTestKrsAjax')); // , $args = 'JSON_FROM_REQUEST_BODY');
	}
	public function fetchTestKrsAjax($args) {
		$id = V::get('ID', 1, $_REQUEST, 'int');
		$items = ACL::getAclByNamespace('default_db/BI_audit_KRS/BI_audit_KRS')->buildQuery([
			'cols' => [ // TODO:? propertyName = []
				'A_kod',
				'A_kraj',
				'A_miejscowosc',
				'A_nrDomu',
				'A_nrLokalu',
				'A_poczta',
				'A_ulica',
				'ID',
				'S_gmina',
				'S_kraj',
				'S_miejscowosc',
				'S_powiat',
				'S_wojewodztwo',
				'dataDokumentu',
				'default_db__x3A__BI_audit_KRS_company:BI_audit_KRS_company/ID',
				'default_db__x3A__BI_audit_KRS_company:BI_audit_KRS_company/krs',
				'default_db__x3A__BI_audit_KRS_company:BI_audit_KRS_company/nazwa',
				'default_db__x3A__BI_audit_KRS_company:BI_audit_KRS_company/regon',
				'default_db__x3A__BI_audit_KRS_person:BI_audit_KRS_person/ID',
				'default_db__x3A__BI_audit_KRS_person:BI_audit_KRS_person/imiona',
				'default_db__x3A__BI_audit_KRS_person:BI_audit_KRS_person/nazwisko',
				'default_db__x3A__BI_audit_KRS_person:BI_audit_KRS_person/pesel',
				'krs',
				'nazwa',
				'nip',
				'regon',
			],
			'f_ID' => "{$id}",
		])->getItems([
			'limit' => 10
		]);

		return [
			'type' => 'success',
			'msg' => 'KRS',
			'__req_args' => $_REQUEST,
			'__args' => $args,
			'body' => [
				'items' => $items,
			]
		];
	}

	public function fetchTestCeidgAjaxAction() {
		Response::sendTryCatchJson(array($this, 'fetchTestCeidgAjax')); // , $args = 'JSON_FROM_REQUEST_BODY');
	}
	public function fetchTestCeidgAjax($args) {
		$id = V::get('ID', 0, $_REQUEST, 'int');
		$items = ACL::getAclByNamespace('default_db/BI_audit_CEIDG/BI_audit_CEIDG')->buildQuery([
			'cols' => [ // TODO:? propertyName = []
				'ID',
				'budynek',
				'firma',
				'gmina',
				'identyfikatorWpisu',
				'imie',
				'kodPocztowy',
				'kraj',
				'lokal',
				'miejscowosc',
				'nazwisko',
				'nip',
				'poczta',
				'powiat',
				'regon',
				'ulica',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/ID',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/budynek',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/gmina',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/kodPocztowy',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/lokal',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/miejscowosc',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/nazwa',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/nip',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/poczta',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/powiat',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/ulica',
				'default_db__x3A__BI_audit_CEIDG_pelnomocnicy:BI_audit_CEIDG_pelnomocnicy/wojewodztwo',
				'default_db__x3A__BI_audit_CEIDG_powiazania:BI_audit_CEIDG_powiazania/ID',
				'default_db__x3A__BI_audit_CEIDG_powiazania:BI_audit_CEIDG_powiazania/nip',
				'default_db__x3A__BI_audit_CEIDG_powiazania:BI_audit_CEIDG_powiazania/regon',
			],
			// 'f_ID' => $id,
		])->getItems([
			'limit' => 10
		]);

		return [
			'type' => 'success',
			'msg' => 'CEIDG',
			'__req_args' => $_REQUEST,
			'__args' => $args,
			'body' => [
				'items' => $items,
			]
		];
	}

/**
 * KONTRAHENCI
 */
//TODO: NIE wiem czemu nie mogę pobrać infoamcji o kontrahentach
public function fetchKontrahenciAjaxAction() {
	Response::sendTryCatchJson(array($this, 'fetchKontrahenciAjax'));
}

public function fetchKontrahenciAjax($args) {
	//$id = V::get('ID', 1, $_REQUEST, 'int');
	$items = ACL::getAclByNamespace('default_db/BI_audit_ENERGA_RUM_KONTRAHENCI/BI_audit_ENERGA_RUM_KONTRAHENCI')->buildQuery([
		'cols' => [ // TODO:? propertyName = []
				'ID',
				'Nazwa_grupy_kapitalowej',
				'Pelna_nazwa_kontrahenta',
				'NIP',
				'KRS',
				'REGON',
	 		'Miejscowosc',
				'Kod_pocztowy',
				'Telefon'
		],
		//'f_ID' => $id,
	])->getItems([
		'limit' => 10
	]);

	return [
		'type' => 'success',
		'msg' => 'showKontrahenci',
		'__req_args' => $_REQUEST,
		'__args' => $args,
		'body' => [
			'items' => $items,
			'view' => $this->htmlViewFormBiAudit($items, 'KONTRAHENCI')
		]
	];
}


public function showListKontrahenci($items) {
	$view = '<form class="form-horizontal" method="post">
					<table class="table table-bordered table-hover table-striped" height=5>
								 <thead>
									 <tr>
											<td width=1><input type="checkbox" name="checkAll" id="checkAll" /></td>
										 <td width=1>ID</td>
										 <td>Nazwa grupy kapitalowej</td>
										 <td>Pelnanazwa kontrahenta</td>
										 <td>NIP</td>
										 <td>KRS</td>
										 <td>Regon</td>
										 <td>Miejscowosc</td>
										 <td>Kod_pocztowy</td>
										 <td>Telefon</td>
									 </tr>
								 </thead>
								 <tbody>
				';

	foreach ($items as $key => $row) {
			$view .= '<tr>
			<td><input type="checkbox" name="prID[]" value="'.$row['ID'].'" /></td>
							<td align="right">'.$row["ID"].'</td>
							<td align="right">'.$row["Nazwa_grupy_kapitalowej"].'</td>
							<td align="right">'.$row["Pelna_nazwa_kontrahenta"].'</td>
							<td align="right">'.$row["NIP"].'</td>
							<td align="right">'.$row["KRS"].'</td>
							<td align="right">'.$row["REGON"].'</td>
							<td align="right">'.$row["Miejscowosc"].'</td>
							<td align="right">'.$row["Kod_pocztowy"].'</td>
							<td align="right">'.$row["Telefon"].'</td>
							';
	}
	$view .= '</tbody></table></form>';

	return $view;
}







/**
 * BraveCare Families Test & Fetch & Show Screen
 * Nazwa = crm_families.FamilyName
 * Telefon = crm_families.MainPhoneNumber
 * Firma = crm_families.CompanyId => crm_companies[Id==CompanyId]->CompanyName
 * Partner Zagraniczny = crm_families.CoordId => crm_coordinators[Id==CoordId]->CoordinatorName
 * Stan = crm_families.IsActive (0='ZAMKNIĘTE', 1='OTWARTE')
 * Opis = Pole generowane na podstawie danych:
 * 		crm_families.Id => crm_ordercarrers[ FamilyId==crm_families.Id ]
 * 				crm_ordercarrers.FirstName + ' ' + crm_ordercarrers.SurName + ' ' + crm_ordercarrers.DateStart + ' ' + crm_ordercarrers.DateEnd
 */
	public function fetchFamiliesAjaxAction() {
		// sleep(2);
		Response::sendTryCatchJson( array($this, 'fetchFamiliesAjax') );
	}






	public function fetchFamiliesAjax($args) {
		$id = V::get('Id', 1, $_REQUEST, 'int');
		$items = ACL::getAclByNamespace('default_db/crm_families')->buildQuery([
			'cols' => [ // TODO:? propertyName = []
				'Id',
				'FamilyName',
				'MainPhoneNumber',
				'CompanyId',
				'CoordId',
				'EMail'
			],
			//'f_ID' => $id,
		])->getItems([
			'limit' => 5
		]);


/*
		// DEBUG:
		$debugLog = print_r( array_values($items), true );
		error_log("-------------- fetchFamiliesAjax() --- Items(".count($items)."): ".$debugLog, 0);
*/


		return [
			'type' => 'success',
			'msg' => 'showFamilies',
			'__req_args' => $_REQUEST,
			'__args' => $args,
			'body' => [
				'items' => $items,
				//'view' => $this->htmlViewFormBiAudit($items, 'FAMILIES')
			]
		];
	}







	public function getHtmlForTable_Families($items) {
		$htmlForTable = '<form class="form-horizontal" method="post">
						<table class="table table-bordered table-hover table-striped" height=5>
									 <thead>
										 <tr>
										 	<td width=1><input type="checkbox" name="checkAll" id="checkAll" /></td>
										 <!--<td class="table_column_heading" width=1>ID</td>-->
											 <td class="table_column_heading">Nazwisko</td>
											 <td class="table_column_heading">Telefon</td>
											 <td class="table_column_heading">Firma ID</td>
											 <td class="table_column_heading">Partner Zagraniczny ID</td>
											 <td class="table_column_heading">EMail</td>
										 </tr>
									 </thead>
									 <tbody id="tbody-families">
					';

/*
		foreach ($items as $key => $row) {
				$view .= '<tr>
				<td><input type="checkbox" name="prID[]" value="'.$row['ID'].'" /></td>
								<td align="right">'.$row["ID"].'</td>
								<td align="right">'.$row["FamilyName"].'</td>
								<td align="right">'.$row["MainPhoneNumber"].'</td>
								<td align="right">'.$row["CompanyId"].'</td>
								<td align="right">'.$row["CoordId"].'</td>
								<td align="right">'.$row["EMail"].'</td>

								';
		}
*/

		$htmlForTable .= '</tbody></table></form>';

		return $htmlForTable;
	}

/**
 * EOF BraveCare Families Test
 */








/**
 * Pracownicy
 */
	public function fetchPracownicyAjaxAction() {
		// sleep(2);
		Response::sendTryCatchJson(array($this, 'fetchPracownicyAjax'));
	}

	public function fetchPracownicyAjax($args) {
		$id = V::get('ID', 1, $_REQUEST, 'int');
		$items = ACL::getAclByNamespace('default_db/BI_audit_ENERGA_PRACOWNICY/BI_audit_ENERGA_PRACOWNICY')->buildQuery([
			'cols' => [ // TODO:? propertyName = []
				'ID',
				'imiona',
				'nazwisko',
				'nip',
				'pesel',
				'regon',
				'A_ADM_COMPANY',
				'A_STATUS',
				'default_db__x3A__BI_audit_ENERGA_PRACOWNICY_adresy:BI_audit_ENERGA_PRACOWNICY_adresy/*'
			],
			//'f_ID' => $id,
		])->getItems([
			'limit' => 10
		]);

		return [
			'type' => 'success',
			'msg' => 'showPracownicy',
			'__req_args' => $_REQUEST,
			'__args' => $args,
			'body' => [
				'items' => $items,
				'view' => $this->htmlViewFormBiAudit($items, 'PRACOWNICY')
			]
		];
	}


	public function showListPracownicy($items) {
		$view = '<form class="form-horizontal" method="post">
						<table class="table table-bordered table-hover table-striped" height=5>
									 <thead>
										 <tr>
										 		<td width=1><input type="checkbox" name="checkAll" id="checkAll" /></td>
											 <td width=1>ID</td>
											 <td>Imię/Imiona</td>
											 <td>Nazwisko</td>
											 <td>NIP</td>
											 <td>Pesel</td>
											 <td>Regon</td>
											 <td>A_ADM_COMPANY</td>
											 <td>A_STATUS</td>
											 <td>Adresy</td>
										 </tr>
									 </thead>
									 <tbody>
					';

		foreach ($items as $key => $row) {
				$view .= '<tr>
				<td><input type="checkbox" name="prID[]" value="'.$row['ID'].'" /></td>
								<td align="right">'.$row["ID"].'</td>
								<td align="right">'.$row["imiona"].'</td>
								<td align="right">'.$row["nazwisko"].'</td>
								<td align="right">'.$row["nip"].'</td>
								<td align="right">'.$row["pesel"].'</td>
								<td align="right">'.$row["regon"].'</td>
								<td align="right">'.$row["A_ADM_COMPANY"].'</td>
								<td align="right">'.$row["A_STATUS"].'</td>
								<td align="right">'.$row["default_db__x3A__BI_audit_ENERGA_PRACOWNICY_adresy:BI_audit_ENERGA_PRACOWNICY_adresy"].'</td>

								';
		}
		$view .= '</tbody></table></form>';

		return $view;
	}


	// link do ackji w php: $saveFormUrl = $this->getLink('saveRaportAjax');
	// przekazać link do JavaScript i tam:
	// window.fetch('{$saveFormUrl}', { ... }).then(...) - dokumentacja: https://github.com/github/fetch
	public function saveRaportAjaxAction() {
		// Response::sendTryCatchJson(array($this, 'saveRaportAjax'), $args = 'JSON_FROM_REQUEST_BODY'); // użyj tej wersji jeśli chcesz wysyłać z przelgądarki JSON-a post-em
		Response::sendTryCatchJson(array($this, 'saveRaportAjax'));
	}
	public function saveRaportAjax($args) {
		// TODO: przejrzeć $args (jeśli JSON) lub $_POST
		// Tworzenie rekrodu w bazie - Raport -
		$idRaport = DB::getDB()->insert('BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA', [
			'A_RECORD_CREATE_AUTHOR' => User::getLogin(),
			'A_RECORD_CREATE_DATE' => 'NOW()',
			// 'A_STATUS' => 'WAITING', // jeśli trzeba to ustawić

		]);

		// TODO: validate args ...
		// throw new Exception("Wrong field..."); // lub inny komunikat błędu - spowoduje wysłanie json-a { 'msg' => 'Wrong field...', 'type' => 'error' }


		// Tworzenie relacji Raport do Pracownicy
		$pracownicyIds = []; // TODO: array z nr ID na podstawie wysłanego formularza
		$refPowiazaniaToPracownicy = ACL::getRefTable('default_db/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA',
			'default_db__x3A__BI_audit_ENERGA_PRACOWNICY:BI_audit_ENERGA_PRACOWNICY');
		foreach ($pracownicyIds as $idPracownik) {
			DB::getPDO()->insert($refPowiazaniaToPracownicy, ['PRIMARY_KEY' => $idRaport, 'REMOTE_PRIMARY_KEY' => $idPracownik]);
		}


		// Tworzenie relacji Raport do Kontrahenci - analogicznie jak wyżej
		$kontrahenciIds = []; // TODO: array z nr ID na podstawie wysłanego formularza
		$refPowiazaniaToKontrahenci = ACL::getRefTable('default_db/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA/BI_audit_ENERGA_RUM_KONTRAHENCI_POWIAZANIA',
			'default_db__x3A__BI_audit_ENERGA_RUM_KONTRAHENCI:BI_audit_ENERGA_RUM_KONTRAHENCI');
		foreach ($kontrahenciIds as $idKontrahent) {
			DB::getPDO()->insert($refPowiazaniaToKontrahenci, ['PRIMARY_KEY' => $idRaport, 'REMOTE_PRIMARY_KEY' => $idKontrahent]);
		}

		// ...

		return [
			'msg' => "Utworzono raport",
			'type' => "success",
			'body' => [
				'id' => $idRaport,
			]
		];
	}

	public function htmlViewFormBiAudit($items, $type) {

$activeFormSteps = '';

switch($type) {
		case 'KONTRAHENCI':
			$activeFormSteps = 'complete';
			$titleHeader = 'KONTRAHENCI';
			break;

		case 'PRACOWNICY':
			$titleHeader = 'PRACOWNICY';
			break;

		case 'FAMILIES':
			$titleHeader = 'FAMILIES';
			break;
}


		$viewEployees = '
		<!-- start:employees-section-->
<div id="smad-employees-section">
		<div class="container-fluid">
				<div class="row">
						<div class="container padding-lr-0">
								<div id="smad-menu-section">
										<div class="col-sm-12 col-md-6 padding-lr-0">
												<div class="menu-items">
														<div class="smad-heder-title menu-item"><span class="smad-line-red">|</span> ' . $titleHeader . ' </div>
												</div>
										</div>
										<div class="col-sm-12 col-md-6 padding-lr-0">
												<div class="form-steps">
														<!-- start:form steps wizard -->
														<div class="row smad-wizard" style="border-bottom:0;">
																<div class="col-xs-4 col-md-4 smad-wizard-step complete"><!-- complited line -->
																		<div class="text-center smad-wizard-stepnum">&nbsp;</div>
																		<div class="progress"><div class="progress-bar"></div></div>
																		<a href="#" class="smad-wizard-dot"></a>
																		<div class="smad-wizard-info complete text-center">
																				<div class="step-item">Krok 1</div>
																				<div class="step-title ">PRACOWNICY</div>
																		</div>
																</div>

																<div class="col-xs-4 col-md-4 smad-wizard-step ' . $activeFormSteps . '">
																		<div class="text-center smad-wizard-stepnum">&nbsp;</div>
																		<div class="progress"><div class="progress-bar"></div></div>
																		<a href="#" class="smad-wizard-dot"></a>
																		<div class="smad-wizard-info  text-center">
																				<div class="step-item">Krok 2</div>
																				<div class="step-title ">KONTRAHENCI</div>
																		</div>
																</div>

																<div class="col-xs-4 col-md-4 smad-wizard-step ">
																		<div class="text-center smad-wizard-stepnum">&nbsp;</div>
																		<div class="progress"><div class="progress-bar"></div></div>
																		<a href="#" class="smad-wizard-dot"></a>
																		<div class="smad-wizard-info text-center">
																				<div class="step-item>Krok 3</div>
																				<div class="step-title ">SZUKANIE POWIĄZAŃ</div>
																		</div>
																</div>
														</div>
														<!-- end:form steps wizard -->
												</div>
										</div>
								</div>
						</div>
				</div>
		</div>

		<div class="container-fluid">
				<div class="container padding-lr-0">
						<div class="smad-divider"></div>
				</div>
		</div>
		<!-- start:filters -->
		<div class="container-fluid">
				<div class="row">
						<div class="container">
								<div class="smad-employees-form-section" class="border-top-grey">
										<div class="col-md-9 smad-border-col">
												<div class="menu-items">
														<div class="menu-item">
																<ul class="padding-0">
																		<li>
																				<span class="button-checkbox">
																						<button type="button" class="btn" data-color="grey-border">WSZYSCY</button>
																						<input type="checkbox" class="hidden" checked />
																				</span>
																		</li>
																		<li>
																				 <span class="button-checkbox">
																						<button type="button" class="btn btn-info" data-color="grey-border">WYSOKIEGO RYZYKA</button>
																						<input type="checkbox" class="hidden"  />
																				</span>
																		</li>
																		<li><a href="#" title="STWÓRZ GRUPĘ" class="btn btn-default" data-color-noactive="">+ STWÓRZ GRUPĘ</a></li>
																</ul>
														</div>
												</div>
										</div>
										<div class="col-md-3">
												<div class="form-input">
														<div class="form-item col-md-8 smad-heder-title">głębokość powiązań:</div>
														<div class="form-item col-md-4">
																<input type="depth" class="form-control" placeholder="1-16" />
														</div>
												</div>
										</div>
								</div>
						</div>
				</div>
		</div>
		<!-- end:filters -->

		<!-- start:list employees -->
		<div class="container-fluid">
				<div class="row">
						<div class="container padding-0 smad-employees-list-head">
								<div class="col-md-6">
										<header>
												<h2 class="title">Wszyscy</h2>
										</header>
										<div class="desc">
												Lorem Ipsum jest tekstem stosowanym jako przykładowy wypełniacz w przemyśle poligraficznym.
										</div>
								</div>
								<div class="col-md-6">
										<div class="menu-items">
												<div class="menu-item">
														<ul class="padding-0">
																<li><a href="#" title="IMPORT PRACOWNIKÓW" class="btn btn-info data-color-noactive="">IMPORT PRACOWNIKÓW</a></li>
																<li><a href="#" title="DODAJ PRACOWNIKÓW" class="btn btn-info" data-color-noactive="">+ DODAJ PRACOWNIKÓW</a></li>
														</ul>
												</div>
										</div>
								</div>
						</div>
				</div>
		</div>
		<div class="container-fluid">
				<div class="container  padding-0">
						' . $this->showListDataByType($items, $type) . '
				</div>
		</div>
		<!-- end:list employees -->

		<!-- start:bottom buttons -->
		<div class="container-fluid smad-employees-bottom-navigation">
				<div class="container padding-0">
						<div class="col-lg-6 ">
								<a href="#" title="PRZENIEŚ DO GRUPY" class="btn btn-info">PRZENIEŚ DO GRUPY</a>
						</div>
						<div class="col-lg-6 text-right">
								<a href="index.php?_route=UrlAction_BiAuditRaport#KONTRAHENCI" onClick="reload" title="DODAJ DO ANALIZY" class="btn btn-primary">DODAJ DO ANALIZY</a>
						</div>
				</div>
		</div>
		<!-- end:bottom buttons -->
</div>
<!-- start:employees-section -->
		';
		return $viewEployees;
	}

	public function showListDataByType($items, $type='PRACOWNICY') {

			switch ($type) {
				case 'PRACOWNICY':
					return $this->showListPracownicy($items);
					break;
				case 'KONTRAHENCI':
					return $this->showListKontrahenci($items);
					break;
				case 'FAMILIES':
					return $this->showListFamilies($items);
					break;
			}
	}












/**
 * BraveCare Families Screen
 */
public function getHtmlForScreen_Families( $items, $type ) { //HTML for Screen - Families

	$this->getCss();

	switch($type) {
			case 'FAMILIES':
				$titleHeader = 'KLIENCI (RODZINY)';
				break;
	}

	$screen_Families = '
		<!-- start: Families section -->
		<div class=container-fluid>
			<div class=row>
				<div class=col-md-12 style=padding-top:10px;>' . $titleHeader . ' <a href="#" title="Narzędzia" class="btn btn-default btn-xs" style=float:right; cursor:pointer; height=10px; id=narzedzia>Narzędzia v</a>
				</div>
				<div class=col-md-12 id=viewxyz style=padding-top:15px; border=1px solid red;>
				</div>
			</div>
		</div>

		<!-- smad-employees-section -->
		<div id="smad-employees-section">

			<!-- Buttons and Filters SECTION -->
			<div class="container-fluid">
				<div class="row">
					<div class="container padding-0 smad-employees-list-head" style="border: 1px solid red; margin-bottom:15px;">
						TUTAJ JEST SEKCJA Z PRZYCISKAMI I FILTRAMI - Typ obiektu: ' . $type . ' - Liczba el. pobranych z BD: '. count($items) . ' ELEMENTY: ' . print_r( array_values($items), true )  . '
					</div>
				</div>
			</div>
			<!-- EOF Buttons and Filters SECTION -->

			<!-- Table from Database SECTION -->
			<div class="container-fluid">
				<div class="container  padding-0">
					' . $this->getHtmlForTableByType($items, $type) . '
				</div>
			</div>
			<!-- EOF Table from Database SECTION -->

			<!-- Bottom SECTION -->
			<div class="container-fluid smad-employees-bottom-navigation">
					<div class="container padding-0">
							<div class="col-lg-12 " style=padding-bottom:15px;>
							</div>
					</div>
			</div>
			<!-- EOF Bottom SECTION -->

		</div>
		<!-- EOF smad-employees-section -->
		';

		return $screen_Families;
	}



		public function getHtmlForTableByType( $items, $type='FAMILIES' ) {
				switch( $type ) {
					case 'FAMILIES':
						return $this->getHtmlForTable_Families($items);
						break;
				}
		}

/* EOF BraveCare Families - getHtmlForScreen_Families() */





	public function getCss(){
		?>
		<style>
			.table_column_heading {
				font-weight:bold;
				color:#00a;
				cursor:pointer;
			}
			.table_column_heading:hover {
				color:#08a;
			}
		</style>
		<?php
	}



}
